summaryrefslogtreecommitdiff
path: root/app-arch/lld/lld-9999.ebuild
diff options
context:
space:
mode:
authoreroen2013-05-02 08:10:24 +0200
committereroen2013-05-02 08:10:24 +0200
commit33e6437c79ea8c2383ce24ee616dcec4ef5df090 (patch)
treeeec6c20cd283b024155e6ee554e014ac7bfe5533 /app-arch/lld/lld-9999.ebuild
parenta670641b6f69f094b3e58ff4cc3ff8d3802755b5 (diff)
downloaderoen-overlay-33e6437c79ea8c2383ce24ee616dcec4ef5df090.tar.gz
eroen-overlay-33e6437c79ea8c2383ce24ee616dcec4ef5df090.tar.bz2
eroen-overlay-33e6437c79ea8c2383ce24ee616dcec4ef5df090.tar.xz
ldd: fix libdir, add usage note
Diffstat (limited to 'app-arch/lld/lld-9999.ebuild')
-rw-r--r--app-arch/lld/lld-9999.ebuild12
1 files changed, 11 insertions, 1 deletions
diff --git a/app-arch/lld/lld-9999.ebuild b/app-arch/lld/lld-9999.ebuild
index fcec919e..9a7c8160 100644
--- a/app-arch/lld/lld-9999.ebuild
+++ b/app-arch/lld/lld-9999.ebuild
@@ -4,7 +4,7 @@
EAPI=5
-inherit eutils flag-o-matic cmake-utils subversion
+inherit eutils flag-o-matic multilib cmake-utils subversion
DESCRIPTION="The LLVM Linker"
HOMEPAGE="http://lld.llvm.org/"
@@ -48,8 +48,10 @@ src_configure() {
append-ldflags -L/usr/lib64/llvm
# Shared libraries needs a release, so we can have corresponding libs
# installed.
+ local myLIBDIR="$(get_libdir)"
mycmakeargs=(
-DBUILD_SHARED_LIBS=OFF
+ -DLLVM_LIBDIR_SUFFIX=${myLIBDIR#lib}
-DLLVM_BUILD_RUNTIME=OFF
-DLLVM_INCLUDE_RUNTIME=OFF
-DLLVM_ENABLE_ASSERTIONS=ON
@@ -78,4 +80,12 @@ src_test() {
src_install() {
cd "${BUILD_DIR}"/tools/lld
emake DESTDIR="${D}" install
+
+ dosym /usr/bin/lld /usr/lib/${P}/bin/ld || die
+}
+
+pkg_postinst() {
+ elog "To use lld with your compiler of choice, add something like "
+ elog " -B/usr/lib/lld-9999/bin"
+ elog "to your LDFLAGS."
}